co.aikar.commands

## Class BungeeRootCommand

- java.lang.Object
- - net.md_5.bungee.api.plugin.Command
  - - co.aikar.commands.BungeeRootCommand

All Implemented Interfaces:
  co.aikar.commands.RootCommand, net.md_5.bungee.api.plugin.TabExecutor

    public class BungeeRootCommand
    extends net.md_5.bungee.api.plugin.Command
    implements co.aikar.commands.RootCommand, net.md_5.bungee.api.plugin.TabExecutor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addChild(co.aikar.commands.BaseCommand command)`
`void` `execute(net.md_5.bungee.api.CommandSender sender, String[] args)`
`List<co.aikar.commands.BaseCommand>` `getChildren()`
`String` `getCommandName()`
`co.aikar.commands.BaseCommand` `getDefCommand()`
`co.aikar.commands.CommandManager` `getManager()`
`String` `getPermission()`
`com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand>` `getSubCommands()`
`Iterable<String>` `onTabComplete(net.md_5.bungee.api.CommandSender commandSender, String[] strings)`

### Methods inherited from class net.md_5.bungee.api.plugin.Command

`canEqual, equals, getAliases, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface co.aikar.commands.RootCommand

`addChildShared, execute, getBaseCommand, getDefaultRegisteredCommand, getDescription, getTabCompletions, getTabCompletions, getTabCompletions, getUniquePermission, getUsage, hasAnyPermission`

### Method Detail

#### getCommandName

    public String getCommandName()

Specified by:
  `getCommandName` in interface `co.aikar.commands.RootCommand`

#### addChild

    public void addChild(co.aikar.commands.BaseCommand command)

Specified by:
  `addChild` in interface `co.aikar.commands.RootCommand`

#### getManager

    public co.aikar.commands.CommandManager getManager()

Specified by:
  `getManager` in interface `co.aikar.commands.RootCommand`

#### getSubCommands

    public com.google.common.collect.SetMultimap<String,co.aikar.commands.RegisteredCommand> getSubCommands()

Specified by:
  `getSubCommands` in interface `co.aikar.commands.RootCommand`

#### getChildren

    public List<co.aikar.commands.BaseCommand> getChildren()

Specified by:
  `getChildren` in interface `co.aikar.commands.RootCommand`

#### execute

    public void execute(net.md_5.bungee.api.CommandSender sender,
                        String[] args)

Specified by:
  `execute` in class `net.md_5.bungee.api.plugin.Command`

#### getPermission

    public String getPermission()

Overrides:
  `getPermission` in class `net.md_5.bungee.api.plugin.Command`

#### onTabComplete

    public Iterable<String> onTabComplete(net.md_5.bungee.api.CommandSender commandSender,
                                          String[] strings)

Specified by:
  `onTabComplete` in interface `net.md_5.bungee.api.plugin.TabExecutor`

#### getDefCommand

    public co.aikar.commands.BaseCommand getDefCommand()

Specified by:
  `getDefCommand` in interface `co.aikar.commands.RootCommand`